This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 877093 - xulrunner-16.0.2-2.fc18 build fails on Power
xulrunner-16.0.2-2.fc18 build fails on Power
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
18
powerpc Linux
urgent Severity urgent
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18Betappc
  Show dependency treegraph
 
Reported: 2012-11-15 11:53 EST by David Aquilina
Modified: 2014-06-23 20:19 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 14:02:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
corefile (56.19 MB, application/octet-stream)
2012-11-15 14:33 EST, David Aquilina
no flags Details

  None (edit)
Description David Aquilina 2012-11-15 11:53:05 EST
Description of problem:

xulrunner-16.0.2-2.fc18 builds fail on Power during the %install phase: 

/bin/sh: line 1: 24661 Segmentation fault      (core dumped) /builddir/build/BUILD/xulrunner-16.0.2/mozilla-release/objdir/dist/bin/run-mozilla.sh /builddir/build/BUILD/xulrunner-16.0.2/mozilla-release/objdir/dist/bin/xpcshell -g "$PWD" -a "$PWD" -f /builddir/build/BUILD/xulrunner-16.0.2/mozilla-release/toolkit/mozapps/installer/precompile_cache.js -e "populate_startupcache('GreD', 'omni.ja', 'startupCache.zip');"
make[1]: Leaving directory `/builddir/build/BUILD/xulrunner-16.0.2/mozilla-release/objdir/xulrunner/installer'
make[1]: *** [install] Error 139
make: Leaving directory `/builddir/build/BUILD/xulrunner-16.0.2/mozilla-release/objdir'
make: *** [install] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.GCX1sI (%install)

full build log available here: http://ppc.koji.fedoraproject.org/koji/getfile?taskID=785992&name=build.log
Comment 1 David Aquilina 2012-11-15 14:33:51 EST
Created attachment 645868 [details]
corefile

I reproduced this outside of the build system and captured a core.
Comment 2 Martin Stransky 2012-11-20 03:42:21 EST
Should be fixed in xulrunner-17.0-3.

Note You need to log in before you can comment on or make changes to this bug.